### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-inpage-navigation/ecl-inpage-navigation-item.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-inpage-navigation-item`
styles | `:host { display: list-item; }`
templateUrl | `./ecl-inpage-navigation-item.component.html`

### Index

###### Properties

- cmpClass

###### Methods

- onItemClick
- getCssClasses

###### Inputs

- isActive
- label
- sectionId
- class
- e2eAttr

###### Outputs

- itemClick

###### HostBindings

- class.ecl-inpage-navigation__item

###### Accessors

- sectionElement

### Inputs

isActive
Type : `boolean`

label
Type : `string`

sectionId
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

itemClick
Type : `EventEmitter`

### HostBindings

class.ecl-inpage-navigation__item
Type : `boolean`
Default value : `true`

### Methods

onItemClick
`onItemClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

cmpClass
Default value : `true`
Decorators : `@HostBinding('class.ecl-inpage-navigation__item')`

### Accessors

sectionElement
get `sectionElement()`

# results matching ""

# No results matching ""